<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
Reset Method (IEdmEnum)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnum Interface : Reset Method (IEdmEnum)

Visual Basic
C#
C++/CLI
Resets the enumerator's cursor to the position before the first element in the list.

# Syntax

Visual Basic |
--- | ---

    Sub Reset()

C# |
--- | ---

    void Reset()

C++/CLI |
--- | ---

    void Reset();

# Remarks

After calling this method, you must call IEdmEnum::MoveNext before you can call IEdmEnum::Current to get the first element in the list.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmEnum Interface
IEdmEnum Members

# Availability

SOLIDWORKS PDM Professional 2013